%define upstream_name    Pod-Weaver
%define upstream_version 4.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A bundle for the most commonly-needed prep work for a pod document
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::MVP) >= 2.0.0
BuildRequires: perl(Config::MVP::Assembler)
BuildRequires: perl(Config::MVP::Assembler::WithBundles)
BuildRequires: perl(Config::MVP::Reader::Finder)
BuildRequires: perl(Config::MVP::Reader::INI)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Log::Dispatchouli) >= 1.100.710
BuildRequires: perl(Mixin::Linewise::Readers) >= 0.103.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(PPI)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Pod::Elemental) >= 0.100.220
BuildRequires: perl(Pod::Elemental::Document)
BuildRequires: perl(Pod::Elemental::Element::Nested)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Ordinary)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Region)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Verbatim)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Gatherer)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Elemental::Types)
BuildRequires: perl(Software::License::Artistic_1_0)
BuildRequires: perl(Software::License::Perl_5)
BuildRequires: perl(String::Flogger) >= 1.0.0
BuildRequires: perl(String::Formatter) >= 0.100.680
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Pod::Weaver is a system for building Pod documents from templates. It
doesn't perform simple text substitution, but instead builds a
Pod::Elemental::Document. Its plugins sketch out a series of sections that
will be produced based on an existing Pod document or other provided
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 4.13.0-1.mga6
+ Revision: 1010761
- update to 4.013

* Fri Feb 19 2016 umeabot <umeabot> 4.12.0-2.mga6
+ Revision: 967779
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 4.12.0-1.mga6
+ Revision: 850240
- update to 4.012

* Sat Oct 18 2014 umeabot <umeabot> 4.6.0-6.mga5
+ Revision: 787569
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.6.0-5.mga5
+ Revision: 740831
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 4.6.0-4.mga5
+ Revision: 724823
- relax excludes, perl-Software-License has been fixed
- add more excludes
- use %%perl_default_filter (fix requires)

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Jan 08 2014 shlomif <shlomif> 4.6.0-1.mga5
+ Revision: 565627
- update to 4.006

* Mon Oct 21 2013 umeabot <umeabot> 3.101.640-2.mga4
+ Revision: 537428
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 3.101.640-1.mga4
+ Revision: 486999
- update to 3.101640

* Sun Jan 13 2013 umeabot <umeabot> 3.101.638-2.mga3
+ Revision: 372026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 3.101.638-1.mga3
+ Revision: 286470
- update to 3.101638

* Sat Jun 09 2012 jquelin <jquelin> 3.101.637-1.mga3
+ Revision: 258882
- update to 3.101637

* Tue Jun 05 2012 jquelin <jquelin> 3.101.636-1.mga3
+ Revision: 255397
- update to 3.101636

* Thu Feb 23 2012 jquelin <jquelin> 3.101.635-1.mga2
+ Revision: 213166
- update to 3.101635

* Sat Nov 05 2011 kharec <kharec> 3.101.634-1.mga2
+ Revision: 163632
- update to 3.101634

* Mon Sep 26 2011 jquelin <jquelin> 3.101.633-1.mga2
+ Revision: 148189
- update to 3.101633

* Wed Jan 26 2011 jquelin <jquelin> 3.101.632-1.mga1
+ Revision: 40041
- mageia rebuild
- imported package perl-Pod-Weaver

